# Setup a Google-Free mobile phone 

Sources:

* https://shadow53.com/android/no-gapps/setup-guide/
* https://www.systemli.org/de/2018/04/29/google-freies-android.html

## Research 

* find out device code: https://support.mogaanywhere.com/hc/en-us/articles/201302920-How-do-I-find-my-Android-device-s-model-number-
* find out if there is TWRP for the device code: https://twrp.me/Devices/
* find out if there is a custom rom for the device code: https://download.lineage.microg.org/

## Risks 

Liberating your device from google voids the warranty.

If it fails and your backup does not work correctly, you risk that contacts or
data are not available anymore.

If you have to use unofficial LineageOS or TWRP builds, because the device is
not supported, the installation can fail. Then you'll have to flash the stock
rom, and restore the backup. It's a nasty effort.

If you have to flash the stock rom, you can only login and use the phone, when
you log into a Google account, that already was logged into the phone before
you flashed it. Be wary if you bought the phone second hand/online.

## Step By Step

### Back up data before flashing

* Install F-Droid from their website: https://f-droid.org/
  * download apk
  * enable installing from "unknown sources" in Settings/Security/Unknown Sources
  * install apk
* install DAVDroid
* create ownCloud account
* backup telegram accounts
* backup files to ownCloud
* sync Contacts to ownCloud
* full backup: https://www.maketecheasier.com/back-up-android-data-adb-ubuntu/

### Install Firmware

* install TWRP and lineageOS with microG https://lineage.microg.org/#instructions
  * if not possible, look for normal lineageOS without microG: https://wiki.lineageos.org/devices/
  * if `adb reboot bootloader` doesn't work, use `adb reboot download`
  * if `adb sideload` doesn't work, use a micro SD card to transfer the lineageOS image

### Secure Phone

* Encrypt phone
  * Load the battery to 100%
  * plug it into a charger
  * Start Encryption process: Settings/Security/Encrypt Phone
* Install F-Droid
* Root phone with Magisk
  * Download Magisk
    https://github.com/topjohnwu/Magisk/releases/download/v19.3/Magisk-v19.3.zip
  * Boot into TWRP recovery mode
  * Install Magisk zip file
  * Reboot
* Install cryptfs
  * First configure your lock screen PIN, then configure device encryption
    password
* Install wrong pin shutdown

### Install apps

On F-Droid, you can get open source apps for almost any purpose.
If you need Google Play Store apps, you can install them via the Aurora store.
You can install the Aurora Store on F-Droid, too.

Some recommendations: 

* DAVdroid: sync Contacts & Calendar with ownCloud
* Firefox Klar: private browser
* OsmAnd~: offline maps with https://openstreetmap.org
* Offi Stations: public transport connections. Different networks are available
* Briar: End-to-End encrypted serverless Messenger
* Conversations: End-to-End encrypted XMPP Messenger
* DeltaChat: End-to-End encrypted E-Mail Messenger
* ownCloud: store your data in a private cloud. Ask [[mailto:tech@lists.links-tech.org|tech@lists.links-tech.org]] for an account

And if you really want proprietary shit software on your device:

* setup Whatsapp with island https://forum.xda-developers.com/android/apps-games/closed-beta-test-incoming-companion-app-t3366295
* install FB messenger with island
* install Netflix or Amazon Video with YALP Store or Aurora https://www.reddit.com/r/LineageOS/comments/7c4b3i/netflix_and_losextrasaddonsu/

